You are Here:
Linux Lite 6.6 FINAL Released - Support for 22 Languages Added - See Release Announcement Section



Youtube slow, VLC 1080p no prob

Author (Read 7542 times)

0 Members and 1 Guest are viewing this topic.

Re: Youtube slow, VLC 1080p no prob
« Reply #10 on: November 21, 2016, 10:56:22 PM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 8778
    Posts
  • Reputation: 802
  • Linux Lite Member
    • View Profile
    • Linux Lite OS

  • CPU: Intel Core i9-10850K CPU @ 3.60GHz

  • MEMORY: 32Gb

  • VIDEO CARD: nVidia GeForce GTX 1650

  • Kernel: 5.x
Use whatever works :)
 

Re: Youtube slow, VLC 1080p no prob
« Reply #9 on: November 21, 2016, 04:11:38 PM »
 

Arkarion.23

  • New to Forums
  • *
  • 7
    Posts
  • Reputation: 0
  • Linux Lite Member
    • View Profile

  • CPU: AMD APU C-60 2x 1 GHz

  • MEMORY: 4Gb

  • VIDEO CARD: AMD APU Radeon HD 6290
okay,

but I always get this kind of note:


so maybe something else is the problem? I thought maybe it needs the "libavcodec-extra-53" to get the vlc codec to work properly.

But if this is too complicated I'll just stick with HTML5 and HD :P, i am really happy with that =)

Thank You :D
« Last Edit: November 21, 2016, 04:18:06 PM by Arkarion.23 »
 

Re: Youtube slow, VLC 1080p no prob
« Reply #8 on: November 21, 2016, 02:21:29 PM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 8778
    Posts
  • Reputation: 802
  • Linux Lite Member
    • View Profile
    • Linux Lite OS

  • CPU: Intel Core i9-10850K CPU @ 3.60GHz

  • MEMORY: 32Gb

  • VIDEO CARD: nVidia GeForce GTX 1650

  • Kernel: 5.x
We ship the vlc web browser plugin (npapi-vlc), so the most you may ever get asked is:



Just click on it. Should be all you need.
 

Re: Youtube slow, VLC 1080p no prob
« Reply #7 on: November 21, 2016, 11:55:39 AM »
 

Arkarion.23

  • New to Forums
  • *
  • 7
    Posts
  • Reputation: 0
  • Linux Lite Member
    • View Profile

  • CPU: AMD APU C-60 2x 1 GHz

  • MEMORY: 4Gb

  • VIDEO CARD: AMD APU Radeon HD 6290
oh sry XD, now it worked! Thank you! But sadly there was no better performance neither with your script nor with minitube. minitube was even worse. also stuttering in 360p XD.

But I found a pretty solution. Viewtube! It works as an extension for chromium so that I can choose for every embedded video to be played with the codec I prefer. The installed HTML5 codec worked like a charm and I had no isssues with Youtube 720p Fullscreen! It offers also to play it with VLC, but I think I am missing some npapi-vlc plugin??? Tried to google it, but didn't get quite lucky on how to implement it because i don't have enough knowledge :P

Do you guys have an idea? I would like to try that one too =)
Thank you so much for your fast and helpful support!

Edit: Okay I found some kind of "browser-plugin-vlc" which the VLC website mentions, is this the same thing? Website says also to install "libavcodec-extra-53" but I cant find this one? libavcodec-extra is installed but when I try to install -53 i get this message: "Package libavcodec-extra-53 is not available, but is referred to by another package. This may mean that the package is missing, has been obsoleted, or is only available from another source." Which package do I need for this? Aaaand sorry for that many questions XD

« Last Edit: November 21, 2016, 12:39:37 PM by Arkarion.23 »
 

Re: Youtube slow, VLC 1080p no prob
« Reply #6 on: November 21, 2016, 05:10:51 AM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 8778
    Posts
  • Reputation: 802
  • Linux Lite Member
    • View Profile
    • Linux Lite OS

  • CPU: Intel Core i9-10850K CPU @ 3.60GHz

  • MEMORY: 32Gb

  • VIDEO CARD: nVidia GeForce GTX 1650

  • Kernel: 5.x
Don't change any of the code, keep it as it is, and there is no need for sudo. Right click on the file, and select 'Make file executable'. Should be fine then. Selecting 480p should suit your setup.

Updated:

Code: [Select]
#!/bin/sh
# YouTerm by Jerry Bezencon, pdq 2013.
# Requirements: VLC Media Player

# check vlc is available
type vlc >/dev/null 2>/dev/null || {
   echo "Couldn't find VLC, which is required for this script." >&2
   exit 17
}


bold=`tput bold`
normal=`tput sgr0`
clear
echo "${bold}************************************************"
echo "YouTerm - Watch Youtube videos without a browser"
echo "************************************************${normal}"
echo ""

echo "This utility will also stream a number of other formats including:"
echo ".ogg .mp4 .mp3 .wmv .mov .mpeg .mpg .asf .rm"
echo ""
echo "Choose Option ${bold}'Other Streams'${normal} after inputting the url to stream the above formats."
echo ""

youterm_url() {
  echo -n "Input the url: "
   read url

   if [ "$url" = "" ]; then
      youterm_url
   fi
   
   echo ""
}

youterm_res() {
    echo "[1] 240p"
    echo "[2] 360p"
    echo "[3] 480p"
    echo "[4] 720p"
    echo "[5] 1080p"
    echo "[6] 1440p"
    echo "[7] 2160p (4k)"
    echo "[8] Other Streams"
    echo "[9] Exit"

   echo -n "Enter your menu choice [1-9]: "
   read res

   if [ "$res" = "" ]; then
      youterm_res
   fi

   case $res in

      1) vlc --preferred-resolution "240p" $url --play-and-exit ;;
      2) vlc --preferred-resolution "360p" $url --play-and-exit ;;
      3) vlc --preferred-resolution "480p" $url --play-and-exit ;;
      4) vlc --preferred-resolution "720p" $url --play-and-exit ;;
      5) vlc --preferred-resolution "1080p" $url --play-and-exit ;;
      6) vlc --preferred-resolution "1440p" $url --play-and-exit ;;
      7) vlc --preferred-resolution "2160p (4k)" $url --play-and-exit ;;
      8) vlc -vvv $url --play-and-exit ;;
      9) exit 9 ;;
      *) youterm_res ;;

   esac

}

while true
do
     youterm_url
    youterm_res
    exit 0
done
« Last Edit: November 21, 2016, 05:15:24 AM by Jerry »
 

Re: Youtube slow, VLC 1080p no prob
« Reply #5 on: November 21, 2016, 05:05:54 AM »
 

Arkarion.23

  • New to Forums
  • *
  • 7
    Posts
  • Reputation: 0
  • Linux Lite Member
    • View Profile

  • CPU: AMD APU C-60 2x 1 GHz

  • MEMORY: 4Gb

  • VIDEO CARD: AMD APU Radeon HD 6290
Thank you very much guys,

 I tried your solution Jerry, but it said: "bash: ./yt: Permission denied." Sudo didn't work either: "sudo: ./yt: command not found
". Did I do something wrong? Just saved the code. Is the code correct? I have only little knowledge about this stuff, I thought one "fi" should be an "if" so I changed it, but still didn't work :P. And win 10 can do yt 720p because cpu drivers are more specific designed for windows?

Kind Regards,
ark23
 

Re: Youtube slow, VLC 1080p no prob
« Reply #4 on: November 20, 2016, 09:16:42 PM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 8778
    Posts
  • Reputation: 802
  • Linux Lite Member
    • View Profile
    • Linux Lite OS

  • CPU: Intel Core i9-10850K CPU @ 3.60GHz

  • MEMORY: 32Gb

  • VIDEO CARD: nVidia GeForce GTX 1650

  • Kernel: 5.x
Use Minitube or VLC as mentioned. In VLC, Menu, Open Network Stream, copy and paste the Youtube link into the Network tab.
I wrote 'Youterm' a while ago that I used VLC to play YT videos in. Open a terminal, do:

Code: [Select]
leafpad yt
copy the below code into it:

Code: [Select]
#!/bin/sh
# YouTerm by Jerry Bezencon, pdq 2013.
# Requirements: VLC Media Player

# check vlc is available
type vlc >/dev/null 2>/dev/null || {
   echo "Couldn't find VLC, which is required for this script." >&2
   exit 17
}


bold=`tput bold`
normal=`tput sgr0`
clear
echo "${bold}************************************************"
echo "YouTerm - Watch Youtube videos without a browser"
echo "************************************************${normal}"
echo ""

echo "This utility will also stream a number of other formats including:"
echo ".ogg .mp4 .mp3 .wmv .mov .mpeg .mpg .asf .rm"
echo ""
echo "Choose Option ${bold}'Other Streams'${normal} after inputting the url to stream the above formats."
echo ""

youterm_url() {
  echo -n "Input the url: "
   read url

   if [ "$url" = "" ]; then
      youterm_url
   fi
   
   echo ""
}

youterm_res() {
    echo "[1] 240p"
    echo "[2] 360p"
    echo "[3] 480p"
    echo "[4] 720p"
    echo "[5] 1080p"
    echo "[6] 1440p"
    echo "[7] 2160p (4k)"
    echo "[8] Other Streams"
    echo "[9] Exit"

   echo -n "Enter your menu choice [1-9]: "
   read res

   if [ "$res" = "" ]; then
      youterm_res
   fi

   case $res in

      1) vlc --preferred-resolution "240p" $url --play-and-exit ;;
      2) vlc --preferred-resolution "360p" $url --play-and-exit ;;
      3) vlc --preferred-resolution "480p" $url --play-and-exit ;;
      4) vlc --preferred-resolution "720p" $url --play-and-exit ;;
      5) vlc --preferred-resolution "1080p" $url --play-and-exit ;;
      6) vlc --preferred-resolution "1440p" $url --play-and-exit ;;
      7) vlc --preferred-resolution "2160p (4k)" $url --play-and-exit ;;
      8) vlc -vvv $url --play-and-exit ;;
      9) exit 9 ;;
      *) youterm_res ;;

   esac

}

while true
do
     youterm_url
    youterm_res
    exit 0
done

jerry@z800:~$ ./yt

************************************************
YouTerm - Watch Youtube videos without a browser
************************************************

This utility will also stream a number of other formats including:
.ogg .mp4 .mp3 .wmv .mov .mpeg .mpg .asf .rm

Choose Option 'Other Streams' after inputting the url to stream the above formats.

Input the url: https://www.youtubelinkhere

[1] 240p
[2] 360p
[3] 480p
[4] 720p
[5] 1080p
[6] 1440p
[7] 2160p (4k)
[8] Other Streams
[9] Exit
Enter your menu choice [1-9]: 4
« Last Edit: November 21, 2016, 05:14:38 AM by Jerry »
 

Re: Youtube slow, VLC 1080p no prob
« Reply #3 on: November 20, 2016, 08:49:34 PM »
 

torreydale

  • PayPal Supporter
  • Platinum Level Poster
  • *****
  • 1588
    Posts
  • Reputation: 261
  • * Forum Moderator *
    • View Profile

  • CPU: Intel i5-3230M (4) @ 3.200GHz

  • MEMORY: 16Gb

  • VIDEO CARD: Intel 3rd Gen Core processor Graphics

  • Kernel: 5.x
Running YouTube videos using a browser with your hardware is going to continue to be a problem in full screen.  You can use Minitube, or you can take the YouTube video's URL and run it in VLC.  It should run well in full screen either of those two ways.

For the record, my experience says it is the clock speed of your CPU that is the problem for full screen YouTube in a browser using this distro.  You might want to boot to the Live version of an LXDE based distro like LXLE or PeppermintOS to see if you get better browser based YouTube performance.
Want to thank me?  Click my [Thank] link.
 

Re: Youtube slow, VLC 1080p no prob
« Reply #2 on: November 20, 2016, 06:34:17 PM »
 

LL-user

  • I come here a lot
  • *****
  • 455
    Posts
  • Reputation: 214
  • Linux Lite Member
    • View Profile
Hi ark23,

Welcome to Linux Lite and the Forum!

A solution might be to use a dedicated client for youtube: Minitube

Have a look at these posts:
https://www.linuxliteos.com/forums/installing-software/install-midori-questions/
https://www.linuxliteos.com/forums/video-cards/graphics-acceleration-for-dell-latitude-d400-(needs-i810-module)/

You can install it via "Install/Remove Software" (Menu -> System -> Install/Remove Software)

Hope that helps :)
 

Youtube slow, VLC 1080p no prob
« Reply #1 on: November 20, 2016, 04:58:07 PM »
 

Arkarion.23

  • New to Forums
  • *
  • 7
    Posts
  • Reputation: 0
  • Linux Lite Member
    • View Profile

  • CPU: AMD APU C-60 2x 1 GHz

  • MEMORY: 4Gb

  • VIDEO CARD: AMD APU Radeon HD 6290
Hey guys,

first of all I love Linux Lite! Thank you so much for this awesome OS! Before, I used Lubuntu on my crappy Netbook, but Linux Lite just feels so much faster!

Nevertheless I still have an annoying issue. I can't get Youtube to play Videos in an acceptable quality. 480p non-fullscreen is okay, but if I go higher or fullscreen it gets really laggy. I am using Chromium. I also tried firefox (was even worse) and seamonkey (between ff and chromium).

It seems that video performance isn't the problem in generall, because VLC plays vids in 1080p without any issue. Also on Win10 (reason I switched to Linux xD) there is no such yt problem.

My specs sadly are not really good =( but not that bad either :D

Acer Aspire One 722
AMD APU C-60 2x 1 GHz -> boost 1,33 GHz / Radeon HD 6290
4 GB RAM
256 GB SSD Crucial M4

I am using Linuix Lite 3.2 64bit, everything up to date. I am still new to Linux, so if you need further infos feel free to ask.

I've read the sticky about Youtube issues already, but correct me if i'm wrong, I thought that by now Youtube uses HTML5 only so Flash can't be the problem (especially with chromium)?

Hope you have some ideas! Thanks in advance!

Best regards,
ark23

PS: Hope you could understand everything, non-native speaker here :P
« Last Edit: November 22, 2016, 04:02:52 AM by Arkarion.23 »
 

 

-->
X Close Ad

Linux Lite 6.6 FINAL Released - Support for 22 Languages Added - See Release Announcement Section